| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Functions
OgreOptimisedUtil.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreEdgeListBuilder.h"`
`#include <cstddef>`

## Classes
class | Ogre::OptimisedUtil
| Utility class for provides optimised functions. More...

## Namespaces
| Ogre

## Functions
template<class T >
static OGRE_FORCE_INLINE void | Ogre::advanceRawPointer (const T *&ptr, ptrdiff_t offset)
| Advance the pointer with raw offset. More...
template<class T >
static OGRE_FORCE_INLINE void | Ogre::advanceRawPointer (T *&ptr, ptrdiff_t offset)
template<class T >
static OGRE_FORCE_INLINE const T * | Ogre::rawOffsetPointer (const T *ptr, ptrdiff_t offset)
| Returns raw offseted of the given pointer. More...
template<class T >
static OGRE_FORCE_INLINE T * | Ogre::rawOffsetPointer (T *ptr, ptrdiff_t offset)